---
- name: Verify connection / PowerShell
  ansible.windows.win_ping:
    data: "{{ item['data'] | default('pong') }}"
  with_items: "{{ win_resource_item | c2platform.core.resources }}"
  when:
    - win_resource_item is defined
    - win_resource_item['when'] | default(True)
  loop_control:
    label: "{{ item['data'] | default('pong') }}"
  delegate_to: "{{ item['delegate_to'] | default(omit) }}"
  tags:
    - win_ping
